'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = value;

var _elementExists = require('../util/element-exists');

var _elementExists2 = _interopRequireDefault(_elementExists);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function value(client, chai, utils) {
    chai.Assertion.addMethod('value', function (expected) {
        var selector = utils.flag(this, 'object');
        var immediately = utils.flag(this, 'immediately');

        if (!immediately) {
            (0, _elementExists2.default)(client, selector);
        }

        var elementValue = client.getValue(selector);

        var elementValueAsExpected;
        if (typeof expected == "string") {
            elementValueAsExpected = elementValue === expected;
        } else {
            elementValueAsExpected = elementValue.match(expected);
        }

        this.assert(elementValueAsExpected, 'Expected element <' + selector + '> to contain value "' + expected + '", but it contains "' + elementValue + '" instead.', 'Expected element <' + selector + '> not to contain value "' + expected + '", but it contains "' + elementValue + '".');
    });
}